//
//  ViewController.m
//  UITableView
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    UITableView *tableView = [[UITableView alloc]initWithFrame:[UIScreen mainScreen].applicationFrame style:UITableViewStylePlain];
    [tableView setDataSource:self];
    [tableView setDelegate:self];
    listofFile = [[NSMutableArray alloc]init];
    [listofFile addObject:@"US"];
    [listofFile addObject:@"UK"];
    [listofFile addObject:@"France"];
    [listofFile addObject:@"Germany"];
    [listofFile addObject:@"China"];
    [listofFile addObject:@"Japan"];
    [listofFile addObject:@"Korea"];
    [listofFile addObject:@"Iran"];
    self.view = tableView;

}

- (NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [listofFile count];
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSInteger row = indexPath.row;
    static NSString *CellIdentifier = @"nationality";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(cell == nil){
        cell = [[UITableViewCell alloc]initWithStyle:
                (UITableViewCellStyleSubtitle)reuseIdentifier:CellIdentifier];

    }
    NSString *cellValue = [listofFile objectAtIndex:indexPath.row];
    cell.textLabel.text = cellValue;

    cell.textLabel.font = [UIFont fontWithName:@"Marion" size:20];
    cell.textLabel.textColor = [UIColor redColor];
    switch (row) {
        case 0:
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            cell.imageView.image = [UIImage imageNamed:@"us.png"];
            cell.detailTextLabel.text = @"The Capital is Washington D.C.";
            break;
        case 1:
            cell.accessoryType = UITableViewCellAccessoryDetailButton;
            cell.imageView.image = [UIImage imageNamed:@"uk.png"];
            cell.detailTextLabel.text = @"The Capital is London";
            break;
        case 2:
            cell.accessoryType = UITableViewCellAccessoryCheckmark;
            cell.imageView.image = [UIImage imageNamed:@"france.png"];
            cell.detailTextLabel.text = @"The Capital is Paris";
            break;
    }
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"This is Nationality" delegate:self cancelButtonTitle:@"cancel" otherButtonTitles:nil];
    [alertView show];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
