//
//  ViewController.m
//  UITableViewEdit
//
//  Created by Christopher on 8/7/15.
//  Copyright (c) 2015 Christopher. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"编辑模式";
    // Do any additional setup after loading the view, typically from a nib.
    _tableView = [[UITableView alloc]initWithFrame:[UIScreen mainScreen].applicationFrame style:UITableViewStylePlain];
    [_tableView setDataSource:self];
    [_tableView setDelegate:self];
    listofFile = [[NSMutableArray alloc]init];
    [listofFile addObject:@"US"];
    [listofFile addObject:@"UK"];
    [listofFile addObject:@"France"];
    [listofFile addObject:@"Germany"];
    [listofFile addObject:@"China"];
    [listofFile addObject:@"Japan"];
    [listofFile addObject:@"Korea"];
    [listofFile addObject:@"Iran"];
    self.view = _tableView;
    self.view.backgroundColor = [UIColor whiteColor];
    [self loadButton];
    
}

- (void)loadButton
{
    editButton = [[UIBarButtonItem alloc] initWithTitle:@"编辑" style:0 target:self
                                                 action:@selector(editAction)];
    self.navigationItem.rightBarButtonItem = editButton;
}

- (void)editAction
{
    if(editButton.title == @"编辑"){
        [editButton setTitle:@"确定"];
        [editButton setStyle:UIBarButtonItemStyleDone];
        [_tableView setEditing:YES animated:YES];
    }else{
        [editButton setTitle:@"编辑"];
        [editButton setStyle:UIBarButtonItemStylePlain];
        [_tableView setEditing:NO animated:YES];
    }
}

- (NSInteger) tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return [listofFile count];
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    NSInteger row = indexPath.row;
    static NSString *CellIdentifier = @"nationality";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if(cell == nil){
        cell = [[UITableViewCell alloc]initWithStyle:
                (UITableViewCellStyleSubtitle)reuseIdentifier:CellIdentifier];
        
    }
    NSString *cellValue = [listofFile objectAtIndex:indexPath.row];
    cell.textLabel.text = cellValue;
    
    cell.textLabel.font = [UIFont fontWithName:@"Marion" size:20];
    cell.textLabel.textColor = [UIColor redColor];
    switch (row) {
        case 0:
            cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
            cell.imageView.image = [UIImage imageNamed:@"us.png"];
            cell.detailTextLabel.text = @"The Capital is Washington D.C.";
            break;
        case 1:
            cell.accessoryType = UITableViewCellAccessoryDetailButton;
            cell.imageView.image = [UIImage imageNamed:@"uk.png"];
            cell.detailTextLabel.text = @"The Capital is London";
            break;
        case 2:
            cell.accessoryType = UITableViewCellAccessoryCheckmark;
            cell.imageView.image = [UIImage imageNamed:@"france.png"];
            cell.detailTextLabel.text = @"The Capital is Paris";
            break;
    }
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    UIAlertView *alertView = [[UIAlertView alloc]initWithTitle:nil message:@"This is Nationality" delegate:self cancelButtonTitle:@"cancel" otherButtonTitles:nil];
    [alertView show];
}

- (void)setEditing:(BOOL)editing animated:(BOOL)animated
{
    if(_tableView.editing){
        [_tableView setEditing:NO animated:YES];
    }else{
        [_tableView setEditing:YES animated:YES];
    }
}

- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    return YES;
}

- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    static int count = 1;
    if(editingStyle == UITableViewCellEditingStyleDelete){
        [listofFile removeObjectAtIndex:indexPath.row];
        [_tableView deleteRowsAtIndexPaths:@[indexPath]
                          withRowAnimation:UITableViewRowAnimationFade];
    }
    else if(editingStyle == UITableViewCellEditingStyleInsert){
        NSString *CountryName = [NSString stringWithFormat:@"Country %d",count];
        [listofFile insertObject:CountryName atIndex:indexPath.row+1];
        NSIndexPath *_indexPath = [NSIndexPath indexPathForRow:indexPath.row+1 inSection:0];
        [_tableView insertRowsAtIndexPaths:@[_indexPath]
                          withRowAnimation:UITableViewRowAnimationMiddle];
        count++;
    }
}

- (UITableViewCellEditingStyle)tableView:(UITableView *)tableView
           editingStyleForRowAtIndexPath:(NSIndexPath *)indexPath {
    if(indexPath.row == 0){
        return UITableViewCellEditingStyleInsert;
    }else{
        return UITableViewCellEditingStyleDelete;
    }
}

- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath {
    return YES;
}
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)
sourceIndexPath toIndexPath:(NSIndexPath *)destinationIndexPath
{
    NSUInteger removeRow = [sourceIndexPath row];
    NSUInteger insertRow = [destinationIndexPath row];
    
    id object = [listofFile objectAtIndex:removeRow];
    [listofFile removeObjectAtIndex:removeRow];
    [listofFile insertObject:object atIndex:insertRow];
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
